Bug 453178 - evolution does't ask for smartcard when there is no or wrong smartcard to sign/crypt mail (pgp)
evolution does't ask for smartcard when there is no or wrong smartcard to sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-27 14:12 EDT by Jurgen Kramer
Modified: 2009-07-14 12:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested trace, select encrypted mail while there is no smartcard (6.34 KB, text/plain)
2009-03-10 12:27 EDT, Jurgen Kramer
no flags Details
trace2, evo debuginfo installed (10.60 KB, text/plain)
2009-03-10 14:31 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2008-06-27 14:12:36 EDT
+++ This bug was initially created as a clone of Bug #222448 +++
Reopened for F9. Problem still persists.

Description of problem:
Evolution does not ask for the proper card when there is none or the wrong
smartcard is inserted when trying to sign/crypt a incoming or outgoing mail.

Version-Release number of selected component (if applicable):
evolution-2.22.2-2.fc9
gnupg-1.4.9-1.fc9

with:
evolution-webcal-2.21.92-1.fc9
evolution-data-server-doc-2.22.2-1.fc9
evolution-data-server-devel-2.22.2-1.fc9
evolution-help-2.22.2-2.fc9
evolution-data-server-2.22.2-1.fc9


How reproducible:
every time

Steps to Reproduce:
1. Leave smartcard out or wrong one in the reader
2. compose mail with pgp signing and/or pgp encrypting
3. press send
  
Actual results:
evolution hangs

Expected results:
Evolution should ask for the (proper) card to be inserted

Additional info:
This is with the OpenPGP smartcard and usb reader

-- Additional comment from mbarnes@redhat.com on 2007-10-05 00:06 EST --
Is this problem still present in Fedora 8 Test 2 or later?

-- Additional comment from gtm.kramer@inter.nl.net on 2007-11-10 06:26 EST --
I've just tested it with the latest versions of evolution on FC7, it still hangs
when there is no card or a wrong card in the reader.

Versions:
evolution-data-server-1.10.3.1-2.fc7
evolution-data-server-devel-1.10.3.1-2.fc7
evolution-2.10.3-4.fc7
evolution-webcal-2.10.0-1.fc7
gnupg-1.4.7-6
gnupg2-2.0.6-2.fc7

I will retest once I migrated to F8.

-- Additional comment from mcepl@redhat.com on 2007-12-10 16:48 EST --
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

-- Additional comment from gtm.kramer@inter.nl.net on 2007-12-12 04:16 EST --
As mentioned above (comment #2), I tested it on a current F7 system and it does
not work.

-- Additional comment from mbarnes@redhat.com on 2008-01-29 09:18 EST --
Resetting status to NEEDINFO until problem can be tested on F8.

-- Additional comment from mcepl@redhat.com on 2008-03-03 09:33 EST --
Reporter, how is this bug doing for you? Have you by chance upgraded to F8? If
yes, is it still present?

-- Additional comment from mcepl@redhat.com on 2008-04-09 10:22 EST --
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- Additional comment from gtm.kramer@inter.nl.net on 2008-04-13 05:04 EST --
Sorry, I have not upgraded to F8 yet, as F9 is due soon, I will skip F8.

-- Additional comment from fedora-triage-list@redhat.com on 2008-05-14 08:06 EST --
This message is a reminder that Fedora 7 is nearing the end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing
updates for Fedora 7. It is Fedora's policy to close all bug reports from
releases that are no longer maintained. At that time this bug will be closed as
WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to
fix it in a currently maintained version, simply change the 'version' to a later
Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may
not be able to fix it before Fedora 7 is end of life. If you would still like to
see this bug fixed and are able to reproduce it against a later version of
Fedora please change the 'version' of this bug. If you are unable to change the
version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime,
sometimes those efforts are overtaken by events. Often a more recent Fedora
release includes newer upstream software that fixes bugs or makes them obsolete.
If possible, it is recommended that you try the newest available Fedora
distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it
will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

-- Additional comment from mbarnes@redhat.com on 2008-05-22 14:15 EST --
Setting status to NEEDINFO until this can be checked in F9.
I myself lack the necessary hardware to test it.

-- Additional comment from fedora-triage-list@redhat.com on 2008-06-16 21:15 EST --
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Mike Chambers 2009-03-07 09:42:24 EST
Does this problem still persist?  Does it will in it's newest update and/or Fedora 10 or rawhide?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Jurgen Kramer 2009-03-08 07:37:39 EDT
Unfortunately the problem still persists. With F10 when clicking on an encrypted mail while there is no smartcard in the reader the preview window shows "Formatting Message.." and the status bar reads "Decrypting message (0% complete). I've waited for a long time but there no message coming asking to insert a/the correct smartcard. 
Good thing is that Evolution no longer becomes inaccessible when this happens. It will open other mails happily.
When I insert the correct smartcard and select the encrypted mail again Evo does prompt for the password and succesfully decrypts the message.

Funny thing is that I am able to send an encrypted message while there is no smartcard in the reader. I am not sure if this is normal behaviour.

Tested on F10 / x86_64:
evolution-help-2.24.5-1.fc10.x86_64
evolution-2.24.5-1.fc10.x86_64
evolution-webcal-2.23.91-1.fc10.x86_64
evolution-data-server-2.24.5-1.fc10.x86_64
evolution-data-server-devel-2.24.5-1.fc10.x86_64
evolution-data-server-doc-2.24.5-1.fc10.x86_64
evolution-perl-2.24.5-1.fc10.x86_64

gnupg2-2.0.9-3.fc10.x86_64
gnupg-1.4.9-4.fc10.x86_64
Comment 3 Milan Crha 2009-03-09 09:01:45 EDT
(In reply to comment #2)
> Unfortunately the problem still persists. With F10 when clicking on an
> encrypted mail while there is no smartcard in the reader the preview window
> shows "Formatting Message.." and the status bar reads "Decrypting message (0%
> complete). I've waited for a long time but there no message coming asking to
> insert a/the correct smartcard. 
> ...

Could you attach here a backtrace of evolution in this "waiting" state, please?
You can do that, for example, by this command:
  $ gdb evolution --batch --ex "t a a bt" -pid=EVOPID
where EVOPID is PID of the actually running evolution process.
Thanks in advance.

> Funny thing is that I am able to send an encrypted message while there is no
> smartcard in the reader. I am not sure if this is normal behaviour.

You are encrypting with a public key of the person(s) you are sending mail to, thus this public key is not on the smartcard, but is stored in a local store, either in S/MIME certificate database or GPG store. Thus it's a normal behaviour. On the other hand, with signing is used your private key from a smartcard.
Comment 4 Jurgen Kramer 2009-03-10 12:27:58 EDT
Created attachment 334671 [details]
Requested trace, select encrypted mail while there is no smartcard

Requested trace, select encrypted mail while there is no smartcard
Comment 5 Milan Crha 2009-03-10 14:06:13 EDT
Thanks for the update. I see threads 2, 3 a 4 are waiting in a decryption stage, though I do not see where exactly, even it seems it's waiting for NSS for any answer. Could you install debug info packages for evolution-data-server and try again, please? It'll show the exact place where it is waiting. Thanks in advance.
Comment 6 Jurgen Kramer 2009-03-10 14:31:44 EDT
Created attachment 334691 [details]
trace2, evo debuginfo installed

After installing evolution-data-server-debuginfo gdb complained it need evolution-debuginfo as well. The attached trace is made with both debug packages installed.
Comment 7 Milan Crha 2009-03-10 16:29:52 EDT
Thanks for a quick response. From lines above I see that evolution is waiting for the answer from gpg, with 30 seconds timeout (I'm sorry for confusion in comment #5, I thought it's nss for the first time, but I was false).

I wonder whether trying to decrypt a text file with direct gpg command will also block, or whether it just writes some error/prompt which evolution-data-server didn't recognize. Could you try this please? (Or you can attach here some encrypted message saved from evolution, (with stripped sensitive information from there) and I'll make it to some file and command to run on console directly.)
Comment 8 Jurgen Kramer 2009-03-11 02:43:24 EDT
I guess you probably mean this:

[kramer@paragon tmp]$ gpg -d evo-trace-encryptd-mail-nosmartcard.txt.gpg 
gpg: detected reader `SCM SCR 335 00 00'
gpg: pcsc_connect failed: no smartcard (0x8010000c)
gpg: apdu_send_simple(0) failed: no card
Please insert the card and hit return or enter 'c' to cancel: 

When I insert the card AND hit return:

PIN
Enter PIN:
Comment 9 Milan Crha 2009-03-11 07:05:03 EDT
Yes, exactly this. Thanks. So the gpg asks you for some action, but Evolution bits doesn't recognize and fails, probably timeouts after 30 seconds or so.
I'll try to get some smartcard hardware and see whether we will be able to do with that anything. Thanks for your help with this.
Comment 10 Matthew Barnes 2009-03-11 09:04:21 EDT
This sound like something Seahorse should be handling, not us.
Comment 11 Bug Zapper 2009-06-09 21:48:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 12:00:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.